#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 streaming-commons
version:              0.2.3.0
visibility:           public
id:                   streaming-commons-0.2.3.0-HX7RS4A01uS8PAX89mLQwL
key:                  streaming-commons-0.2.3.0-HX7RS4A01uS8PAX89mLQwL
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman, Emanuel Borsboom
homepage:             https://github.com/fpco/streaming-commons
synopsis:
    Common lower-level functions needed by various streaming data libraries

description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.

category:             Data
abi:                  b549d557a2024774929c384aac390ff9
exposed:              True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel

import-dirs:          /usr/lib/ghc-9.4.8/site-local/streaming-commons-0.2.3.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/streaming-commons-0.2.3.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/streaming-commons-0.2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-streaming-commons
hs-libraries:         HSstreaming-commons-0.2.3.0-HX7RS4A01uS8PAX89mLQwL
depends:
    array-0.5.4.0 async-2.2.5-8OaaAgguhBf8cQN41yeIS0 base-4.17.2.1
    bytestring-0.11.5.3 directory-1.3.7.1
    network-3.1.4.0-9bVsfPqpsd7CxIY0XrmbxB process-1.6.18.0
    random-1.2.1.2-DMddtPYQ40b7NoL9BGCIdx stm-2.5.1.0 text-2.0.2
    transformers-0.5.6.2 unix-2.7.3 zlib-0.6.3.0-H3IC0Or0Xq79ax1pxpmaMo

haddock-interfaces:
    /usr/share/doc/haskell-streaming-commons/html/streaming-commons.haddock

haddock-html:         /usr/share/doc/haskell-streaming-commons/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

